/*
 * DoWhileCompilerBug.Java
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_TESTS_PKG;


/**
 * Test for a bug found in (at least) KJC v1.4B.  This is the default
 * KJC snapshot shipped with a long series of Kaffe snapshots.
 * <p>
 * Its pretty obvious if you have the bug.
 *
 * @author <a href="mailto:janos-discuss@flux.cs.utah.edu>Janos Ministry of Development</a>
 */
public class DoWhileCompilerBug
{
	public static String[] getArgs()
	{
		return null;
	}

	public static void main(String[] ignoredArgs)
	{
		int loopct = 0;
		String[] args;

		System.out.println("Starting...");

		do
		{
			loopct++;

			args = getArgs();

			if (loopct == 10)
			{
				System.out.println("BAD NEWS, BUDDY.");
				System.exit(0);
			}

			if (args == null)
				continue;
		}
		while (args != null);

		System.out.println("Done.");
	}
}
